Redmine - Defect #5436

Project called "wiki" causes problems
2010-05-04 11:54 - Stefan T.

Status: Closed Start date: 2010-05-04
Priority: Normal Due date:

Assignee: Eric Davis % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 0.9.4
Description

| created a project called "wiki": http://dev.mybbcoder.info/projects/wiki
Whenever | try to save the configuration, | get a 404 (http://dev.mybbcoder.info/projects/edit/wiki).

There seams to be a conflict with the urls...

History

#1 - 2010-05-04 15:44 - Muntek Singh

| am unable to reproduce. Which configuration are you trying to save exactly?

#2 - 2010-05-04 15:48 - Stefan T.

| tried to save the first tab (/projects/wiki/settings/info)...

#3 - 2010-05-04 17:01 - Muntek Singh

Just tested on latest trunk and unable to reproduce.

#4 - 2010-05-06 00:28 - Fabio Vasco
- File Capture.JPG added

Guys, | also have this issue right after upgrade from 0.8.3 to 0.9.4.stable.3733 (MySQL)
| am using apache2+passenger and had removed my /public/.htaccess since redmine was not working after the upgrade.

Everything else is working fine for all other projects. Even this same page works for other projects. The issue only affects /projects/wiki/settings when |
try to click the 'save' button under 'information' tab (screenshot attached)

After click the button | got redirected into /projects/edit/wiki with the following text:

404

The page you were trying to access doesn't exist or has been removed.
/log/production.log shows this:

Processing WikisController#edit (for 192.168.1.201 at 2010-05-05 22:29:33) [POST]
Parameters: {"commit"=>"Save", "project"=>{"name"=>"wiki", "tracker_ids"=>[""], "description"=>"General Wiki
for WWDS", "homepage"=>"https://redmine.wreal.tv/wiki/wiki", "is_public"=>"0", "parent_id"=>""}, "action"=>"e
dit", "authenticity_token"=>"1EfCKDJgfhUKTQCO+GhOmlKDbRg6mSxflpoF4rjvOBw=", "id"=>"edit", "controller"=>"wikis
"}
Rendering template within layouts/base
Rendering common/404 (404)

Filter chain halted as [:find_project] rendered_or_redirected.
Completed in 14ms (View: 10, DB: 0) | 404 Not Found [http://192.168.1.51/projects/edit/wiki]
Any idea?

#5 - 2010-07-11 18:45 - Jean-Baptiste Barth
- Category set to REST API
- Priority changed from Normal to High

- Target version set to 1.0.1
http://dev.mybbcoder.info/projects/wiki
http://dev.mybbcoder.info/projects/edit/wiki

- Resolution set to Fixed

Reproduced on current 0.9.6 stable. Seems it was linked to REST API, and fixed with r3314 which has not been merged from trunk.

#6 - 2010-08-04 02:45 - Eric Davis

- Category deleted (REST API)

- Status changed from New to Closed
- Assignee set to Eric Davis

- Priority changed from High to Normal
- Target version deleted (1.0.1)

- Resolution changed from Fixed to Cant reproduce

Just tested with 1.0-stable and this is working there. It looks like trunk and 1.0-stable has fix from r3314 so it will only affect 0.9.x and below which
isn't supported anymore.

#7 - 2010-08-04 07:25 - Jean-Baptiste Barth
Confirmed, it's OK on 1.0.0+, thank you!
